Bug 1816170 (CVE-2019-12406) - CVE-2019-12406 cxf: does not restrict the number of message attachments
Summary: CVE-2019-12406 cxf: does not restrict the number of message attachments
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-12406
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1816172
Blocks: 1816173
TreeView+ depends on / blocked
 
Reported: 2020-03-23 13:43 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-12-16 12:13 UTC (History)
62 users (show)

Fixed In Version: cxf 3.3.4, cxf 3.2.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-18 15:15:35 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2067 0 None None None 2020-05-18 10:28:01 UTC
Red Hat Product Errata RHSA-2020:3196 0 None None None 2020-07-29 06:08:11 UTC
Red Hat Product Errata RHSA-2020:3197 0 None None None 2020-07-29 06:23:35 UTC
Red Hat Product Errata RHSA-2020:5568 0 None None None 2020-12-16 12:13:29 UTC

Description Guilherme de Almeida Suckevicz 2020-03-23 13:43:32 UTC
Apache CXF before 3.3.4 and 3.2.11 does not restrict the number of message attachments present in a given message. This leaves open the possibility of a denial of service type attack, where a malicious user crafts a message containing a very large number of message attachments. From the 3.3.4 and 3.2.11 releases, a default limit of 50 message attachments is enforced. This is configurable via the message property "attachment-max-count".

Reference:
http://cxf.apache.org/security-advisories.data/CVE-2019-12406.txt.asc

Comment 1 Guilherme de Almeida Suckevicz 2020-03-23 13:44:47 UTC
Created cxf tracking bugs for this issue:

Affects: fedora-all [bug 1816172]

Comment 2 Jonathan Christison 2020-03-23 17:26:34 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss Fuse 6
 * Red Hat JBoss BRMS 6
 * Red Hat JBoss BPM Suite 6  

Please refer to https://access.redhat.com/support/policy/updates/jboss_notesfor more details.

Comment 9 errata-xmlrpc 2020-05-18 10:27:56 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:2067 https://access.redhat.com/errata/RHSA-2020:2067

Comment 10 Product Security DevOps Team 2020-05-18 15:15:35 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12406

Comment 11 errata-xmlrpc 2020-07-29 06:08:07 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2020:3196 https://access.redhat.com/errata/RHSA-2020:3196

Comment 12 errata-xmlrpc 2020-07-29 06:23:31 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2020:3197 https://access.redhat.com/errata/RHSA-2020:3197

Comment 13 errata-xmlrpc 2020-12-16 12:13:22 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.8.0

Via RHSA-2020:5568 https://access.redhat.com/errata/RHSA-2020:5568


Note You need to log in before you can comment on or make changes to this bug.